Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Pause subscription estimate

This API provides an estimate of the details pertaining to the pause_subscription operation. It returns attributes such as pause_date and resume_date. This is similar to the Pause a subscription API with the exception that the subscription is not paused. Only an estimate for this operation is created.

In the response,

  • estimate.subscription_estimate has the subscription details.
  • estimate.invoice_estimate has details of the invoice that are generated immediately. This is not present if no immediate invoices are generated for this operation.
  • estimate.credit_note_estimates[] has details of the credit notes that are generated during this operation. This list is empty if no credit notes are generated.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/pause_subscription_estimate

Input Parameters

pause_option
optional, enumerated string

List of options to pause the subscription.

Enum Values
immediately

Pause immediately

end_of_term

Pause at the end of current term

specific_date

Pause on a specific date

billing_cycles

Pause at the end of the current term, and resume automatically after the number of billing cycles you specify in skip_billing_cycles

unbilled_charges_handling
optional, enumerated string

Applicable when unbilled charges are present for the subscription and pause_option is set as immediately. Note: On the invoice raised, an automatic charge is attempted on the payment method available, if customer's auto-collection property is set to on.

Enum Values
no_action

Retain as unbilled If no_action is chosen, charges are added to the resumption invoice.

invoice

Invoice charges If invoice is chosen, an automatic charge is attempted on the payment method available if the customer has enabled auto-collection. If a payment collection fails or when auto-collection is not enabled, the invoice is closed as unpaid.

subscription
Parameters for subscription
pass parameters as subscription[<param name>]

Returns

Estimate object
Resource object representing estimate